Get Started with Pilot Features API
Everything you need to know to get started with the Pilot Features API.
Get a Visier account
To use APIs, you must have a Visier account and authenticate. For more information about authenticating, see API Authentication.
Custom profile with these capabilities: Pilot Features Management
Generate your API key and authentication token
To make an API request, you will need an API key and an authentication token. For more information about how to get an API key and request an authentication token, see API Authentication.
Note: If using Postman to send requests, you can request a security token directly in the tool, see Use Postman to Call Visier APIs.
Choose your tool
To use Visier APIs, you need to choose a tool to make your first request. This can be Postman or whichever method you usually use to make HTTP requests. For more information about using Postman for your first request, see Use Postman to Call Visier APIs.
Make your first request
To test that you have everything set up correctly, we'll create a request to retrieve all the pilot features available for your tenant, along with their configurations, using the /v1alpha/admin/pilot-features/features endpoint. For a complete list of available endpoints, see "Pilot Features" in API Reference.
Replace {vanity_name} with your tenant name. The API key is expected as a header, while the security token is expected as a cookie.
Tip:
To find your vanity name:
- Go to the global workspace in Studio, click Settings > Single Sign-On. Then, under Single Sign-On, find your service provider endpoint; for example, https://jupiter.visier.com/VServer/auth. In this example, jupiter is the vanity name.
- As an administrating tenant, go to the global workspace in Studio, click Settings > Partner Single Sign-On. Then under Bypass Users (Optional), find your service provider endpoint; for example, https://jupiter.visier.com/VServer/auth. In this example, jupiter is the vanity name.
curl -X GET --url 'https://{vanity_name}.api.visier.io/v1alpha/admin/pilot-features/features' \
-H 'apikey:{api_key}' \
-H 'Cookie:VisierASIDToken={security_token}'
If everything was set up correctly and the request was successful, you should see a similar response:
{
"features": [
{
"featureKey": "visier.preview.studioGlobalWorkspaceNav",
"displayName": "Studio Global Workspace Navigation",
"description": "Try the redesigned Studio navigation: rooms in the left navbar, a version selector, and sidebar views.",
"type": "BETA",
"userConfig": {
"featureKey": "visier.preview.studioGlobalWorkspaceNav",
"userLevelEnabled": true
},
"tenantConfig": {
"featureKey": "visier.preview.studioGlobalWorkspaceNav",
"tenantLevelEnabled": true
}
},
...
]
}
Next steps
Now that you've successfully authenticated and completed your first API request, you can call more Visier APIs!
To learn more:
- Explore the Pilot Features API Code Samples
- Review the Pilot Features API Reference.
